Investors, warrants & staking

Get All Grants Without Trading Plans

Lists the caller's grants that have no trading plan yet.

POSThttps://api.toku.com/tga/get-all-grants-without-trading-plans

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/get-all-grants-without-trading-plans' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "grantID": "string",
    "grantName": "string",
    "totalTokens": "string",
    "unlockSchedule": "string",
    "firstUnlockEvent": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

anyany

Response

200Successful response
grantIDstringrequired
grantNamestringrequired
totalTokensstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

unlockSchedulestringrequired
firstUnlockEventstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits